Bug#927479: ITP: node-stealthy-require -- require something bypassing require cache

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#927479: ITP: node-stealthy-require -- require something bypassing require cache

Ying-Chun Liu (PaulLiu)-3
Package: wnpp
Severity: wishlist
Owner: Ying-Chun Liu (PaulLiu) <[hidden email]>

* Package name    : node-stealthy-require
  Version         : 1.1.1
  Upstream Author : Nicolai Kamenzky (https://github.com/analog-nico)
* URL             : https://github.com/analog-nico/stealthy-require#readme
* License         : ISC
  Programming Lang: JavaScript
  Description     : require something bypassing require cache.
 This is probably the closest you can currently get to require something
 in node.js with completely bypassing the require cache.
 .
 stealthy-require works like this:
 .
 * It clears the require cache.
 * It calls a callback in which you require your module(s) without the cache
   kicking in.
 * It clears the cache again and restores its old state.
 .
 Node.js is an event-based server-side JavaScript engine.

This package is a dependency of request-promise. And request-promise
is a dependency of telegram-bot-api.

This package will be group maintained by Debian Javascript team.


--
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <[hidden email]>


signature.asc (849 bytes) Download Attachment